with Reps.Ops,Reps.IO;
use Reps.Ops,Reps.IO;
with  Ada.Text_IO.Complex_IO;

package body Comps.IO is

   package Txt_Comp_IO is new Ada.Text_IO.Complex_IO (Complex_Types);
   use  Txt_Comp_IO;

   procedure Show(C: in Comp; Cut: in Rep:=Zero) is
   begin
      if Sqrt(Sqr(C.Re)+Sqr(C.Im))>Cut then
         Put("(");
         Txt_Put(Current_Output,C.Re);    --- approximate
         Put(",");
         Txt_Put(Current_Output,C.Im);
         Put(")");
      end if;
   end Show;


   procedure Get(F: in File_Type; C: out Comp; Decimal: in Boolean := True) is
   begin
      --Txt_Get(F,C.Re,Decimal);
      --Txt_Get(F,C.Im,Decimal);
      Txt_Comp_IO.Get(F,C);
   end Get;


   procedure Put(F: in File_Type; C: in Comp; Brackets: in Boolean:=False; Decimal: in Boolean := True) is
   begin
      if Brackets=True then
         Put(F,"(");
      end if;
      Txt_Put(F,C.Re,Decimal);
      if Brackets=True then
         Put(F,",");
      end if;
      Txt_Put(F,C.Im,Decimal);
      if Brackets=True then
         Put(F,")");
      end if;
   end Put;
end Comps.IO;

