
package body Lin_Support is

   procedure SetZero(B: out Vector) is
   begin
      for I in B'Range loop
         B(I) :=Complex(Zero,Zero);
      end loop;
   end SetZero;

   procedure SetZero(A: out Matrix) is
   begin
      for I in A'Range(1) loop
         for J in A'Range(2) loop
            A(I,J) := Complex(Zero,Zero);
      end loop;
      end loop;
   end SetZero;


   procedure SetColumn(J: in Integer; V: in Vector; A: in out Matrix) is
   begin
      for I in A'Range(1) loop
         A(I,J) := V(I);
      end loop;
   end SetColumn;


   procedure Show(B: in Vector; Cut: in Rep := Zero) is
      use Ada.Text_IO, Txt_Rep_IO;
   begin
      for I in B'Range loop
         if Abs(B(I))>Cut then
            Put("B(");
            ShortPut(Current_Output,I);
            Put(") = ");
            Put(Current_Output,B(I),2,16,4);        -- File,Item,Fore,Aft,Exp
            New_Line;
         end if;
      end loop;
      New_Line;
   end Show;

   procedure Show(A: in Matrix; Cut: in Rep := Zero) is
      use Ada.Text_IO, Txt_Rep_IO;
   begin
      for I in A'Range(1) loop
         for J in A'Range(2) loop
            if Abs(A(I,J))>Cut then
               Put("A(");
               ShortPut(Current_Output,I);
               Put(",");
               ShortPut(Current_Output,J);
               Put(") = ");
               Show(A(I,J));        -- File,Item,Fore,Aft,Exp
               New_Line;
            end if;
         end loop;
      end loop;
      New_Line;
   end Show;

end Lin_Support;
